function loadHistory(){
    var history = localStorage.getItem('gameHistory');

    if(null === history){
        history = [];
    } else {
        history = JSON.parse(history);
    }

    var line;
    var npp = 1;

    $("#result-records").html('');

    history.forEach(function (item) {
        line = '<tr><td>' + npp + '</td><td>'+item.winner+'</td><td>'+item.xOr0+'</td><td>'+item.loser+'</td><td>'+item.dateStr+'</td></tr>';
        $("#result-records").append(line);
        npp++;
    });
}

$(function() {

    loadHistory();

    $("#clear").click(function () {

        if(confirm("Действительно удалить историю игр?")){
            localStorage.removeItem('gameHistory');
            loadHistory();
            alert('История удалена');
        }

    });

});
